Page MenuHomeFreeBSD

Add Orange PI Zero Plus u-boot package
ClosedPublic

Authored by beba_wee.hu on Jan 24 2021, 9:14 PM.

Details

Summary

This adds u-boot loader package for Orange PI Zero Plus.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Can we boot on OrangePi Zero Plus now?

Looks good to me. Could you provide a full dmesg? Thanks.

This revision is now accepted and ready to land.Mar 8 2021, 7:18 AM

Hi!
Serial bootlog below.
Thanks, Balazs.

U-Boot SPL 2020.10 (Jan 19 2021 - 16:29:19 +0000)
DRAM: 512 MiB
Trying to boot from MMC1
NOTICE:  BL31: v2.4(release):
NOTICE:  BL31: Built : 16:29:04, Jan 19 2021
NOTICE:  BL31: Detected Allwinner H5 SoC (1718)
NOTICE:  BL31: Found U-Boot DTB at 0x408e918, model: Xunlong Orange Pi Zero Plus
NOTICE:  PMIC: Assuming H5 reference regulator design
NOTICE:  PSCI: System suspend is unavailable
alloc space exhausted


U-Boot 2020.10 (Jan 19 2021 - 16:29:19 +0000) Allwinner Technology

CPU:   Allwinner H5 (SUN50I)
Model: Xunlong Orange Pi Zero Plus
DRAM:  512 MiB
MMC:   mmc@1c0f000: 0, mmc@1c10000: 1
Loading Environment from FAT... *** Warning - bad CRC, using default environment

In:    serial
Out:   serial
Err:   serial
Net:   phy interface7
Could not get PHY for ethernet@1c30000: addr 1
No ethernet found.

starting USB...
Bus usb@1c1a000: USB EHCI 1.00
Bus usb@1c1a400: USB OHCI 1.0
Bus usb@1c1b000: USB EHCI 1.00
Bus usb@1c1b400: USB OHCI 1.0
scanning bus usb@1c1a000 for devices... 1 USB Device(s) found
scanning bus usb@1c1a400 for devices... 1 USB Device(s) found
scanning bus usb@1c1b000 for devices... 1 USB Device(s) found
scanning bus usb@1c1b400 for devices... 1 USB Device(s) found
       scanning usb for storage devices... 0 Storage Device(s) found
Hit any key to stop autoboot:  2  1  0 
switch to partitions #0, OK
mmc0 is current device
Scanning mmc 0:1...
Found EFI removable media binary efi/boot/bootaa64.efi
libfdt fdt_check_header(): FDT_ERR_BADMAGIC
78Scanning disk mmc@1c0f000.blk...
** Unrecognized filesystem type **
Card did not respond to voltage select!
Scanning disk mmc@1c10000.blk...
Disk mmc@1c10000.blk not ready
Found 3 disks
** Unable to read file ubootefi.var **
Failed to load EFI variables
phy interface7
mdio_register: non unique device name 'ethernet@1c30000'
Could not get PHY for ethernet@1c30000: addr 1
BootOrder not defined
EFI boot manager: Cannot load any image
1258636 bytes read in 58 ms (20.7 MiB/s)
libfdt fdt_check_header(): FDT_ERR_BADMAGIC
Booting /efi\boot\bootaa64.efi

---<<BOOT>>---
Copyright (c) 1992-2021 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 13.0-RC1 #0 releng/13.0-n244639-60e8939aa85: Fri Mar  5 04:39:17 UTC 2021
    root@releng1.nyi.freebsd.org:/usr/obj/usr/src/arm64.aarch64/sys/GENERIC arm64
FreeBSD clang version 11.0.1 (git@github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe)
VT: init without driver.
module firmware already present!
real memory  = 536682496 (511 MB)
avail memory = 502059008 (478 MB)
Starting CPU 1 (1)
Starting CPU 2 (2)
Starting CPU 3 (3)
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
arc4random: WARNING: initial seeding bypassed the cryptographic random device because it was not yet seeded and the knob 'bypass_before_seeding' was enabled.
random: entropy device external interface
MAP 58f2e000 mode 2 pages 4
MAP 58f33000 mode 2 pages 4
MAP 5df60000 mode 2 pages 16
WARNING: Device "openfirm" is Giant locked and may be deleted before FreeBSD 14.0.
WARNING: Device "kbd" is Giant locked and may be deleted before FreeBSD 14.0.
kbd0 at kbdmux0
ofwbus0: <Open Firmware Device Tree>
ofw_clkbus0: <OFW clocks bus> on ofwbus0
clk_fixed0: <Fixed clock> on ofw_clkbus0
clk_fixed1: <Fixed clock> on ofw_clkbus0
simplebus0: <Flattened device tree simple bus> on ofwbus0
regfix0: <Fixed Regulator> on ofwbus0
regfix1: <Fixed Regulator> on ofwbus0
psci0: <ARM Power State Co-ordination Interface Driver> on ofwbus0
rtc0: <Allwinner RTC> mem 0x1f00000-0x1f003ff irq 45,46 on simplebus0
rtc0: registered as a time-of-day clock, resolution 1.000000s
ccu_h3ng0: <Allwinner H3/H5 Clock Control Unit NG> mem 0x1c20000-0x1c203ff on simplebus0
ccu_sun8i_r0: <Allwinner SUN8I_R Clock Control Unit NG> mem 0x1f01400-0x1f014ff on simplebus0
gic0: <ARM Generic Interrupt Controller> mem 0x1c81000-0x1c81fff,0x1c82000-0x1c83fff,0x1c84000-0x1c85fff,0x1c86000-0x1c87fff irq 42 on simplebus0
gic0: pn 0x2, arch 0x2, rev 0x1, implementer 0x43b irqs 224
gpio0: <Allwinner GPIO/Pinmux controller> mem 0x1c20800-0x1c20bff irq 22,23,24 on simplebus0
gpiobus0: <OFW GPIO bus> on gpio0
gpio1: <Allwinner GPIO/Pinmux controller> mem 0x1f02c00-0x1f02fff irq 49 on simplebus0
gpiobus1: <OFW GPIO bus> on gpio1
a10_timer0: <Allwinner timer> mem 0x1c20c00-0x1c20c9f irq 25,26 on simplebus0
Timecounter "a10_timer timer0" frequency 24000000 Hz quality 2000
generic_timer0: <ARMv8 Generic Timer> irq 4,5,6,7 on ofwbus0
Timecounter "ARM MPCore Timecounter" frequency 24000000 Hz quality 1000
Event timer "ARM MPCore Eventtimer" frequency 24000000 Hz quality 1000
aw_syscon0: <Allwinner syscon> mem 0x1c00000-0x1c00fff on simplebus0
aw_sid0: <Allwinner Secure ID Controller> mem 0x1c14000-0x1c143ff on simplebus0
awusbphy0: <Allwinner USB PHY> mem 0x1c19400-0x1c1942b,0x1c1a800-0x1c1a803,0x1c1b800-0x1c1b803,0x1c1c800-0x1c1c803,0x1c1d800-0x1c1d803 on simplebus0
a31dmac0: <Allwinner DMA controller> mem 0x1c02000-0x1c02fff irq 8 on simplebus0
aw_mmc0: <Allwinner Integrated MMC/SD controller> mem 0x1c0f000-0x1c0ffff irq 10 on simplebus0
aw_mmc1: <Allwinner Integrated MMC/SD controller> mem 0x1c10000-0x1c10fff irq 11 on simplebus0
musbotg0: <Allwinner USB DRD> mem 0x1c19000-0x1c193ff irq 13 on simplebus0
musbotg0: setting phy mode 3
usbus0: Dynamic FIFO sizing detected, assuming 16Kbytes of FIFO RAM
usbus0 on musbotg0
ehci0: <Generic EHCI Controller> mem 0x1c1a000-0x1c1a0ff irq 14 on simplebus0
usbus1: EHCI version 1.0
usbus1 on ehci0
ohci0: <Generic OHCI Controller> mem 0x1c1a400-0x1c1a4ff irq 15 on simplebus0
usbus2 on ohci0
ehci1: <Generic EHCI Controller> mem 0x1c1b000-0x1c1b0ff irq 16 on simplebus0
usbus3: EHCI version 1.0
usbus3 on ehci1
ohci1: <Generic OHCI Controller> mem 0x1c1b400-0x1c1b4ff irq 17 on simplebus0
usbus4 on ohci1
gpioc0: <GPIO controller> on gpio0
awg0: <Allwinner Gigabit Ethernet> mem 0x1c30000-0x1c3ffff irq 27 on simplebus0
miibus0: <MII bus> on awg0
rgephy0: <RTL8169S/8110S/8211 1000BASE-T media interface> PHY 0 on miibus0
rgephy0:  none, 10baseT, 10baseT-FDX, 10baseT-FDX-flow, 100baseTX, 100baseTX-FDX, 100baseTX-FDX-flow, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, 1000baseT-FDX-flow, 1000baseT-FDX-flow-master, auto, auto-flow
rgephy1: <RTL8169S/8110S/8211 1000BASE-T media interface> PHY 1 on miibus0
rgephy1:  none, 10baseT, 10baseT-FDX, 10baseT-FDX-flow, 100baseTX, 100baseTX-FDX, 100baseTX-FDX-flow, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, 1000baseT-FDX-flow, 1000baseT-FDX-flow-master, auto, auto-flow
awg0: Ethernet address: 02:82:0e:07:1e:64
aw_wdog0: <Allwinner A31 Watchdog> mem 0x1c20ca0-0x1c20cbf irq 30 on simplebus0
uart0: <16750 or compatible> mem 0x1c28000-0x1c283ff irq 35 on simplebus0
uart0: console (115384,n,8,1)
gpioc1: <GPIO controller> on gpio1
aw_thermal0: <Allwinner Thermal Sensor Controller> mem 0x1c25000-0x1c253ff irq 64 on simplebus0
cpulist0: <Open Firmware CPU Group> on ofwbus0
cpu0: <Open Firmware CPU> on cpulist0
cpu1: <Open Firmware CPU> on cpulist0
cpu2: <Open Firmware CPU> on cpulist0
cpu3: <Open Firmware CPU> on cpulist0
pmu0: <Performance Monitoring Unit> irq 0,1,2,3 on ofwbus0
gpioled0: <GPIO LEDs> on ofwbus0
cryptosoft0: <software crypto>
armv8crypto0: <AES-CBC,AES-XTS,AES-GCM>
Timecounters tick every 1.000 msec
Release APs...usbus1: 480Mbps High Speed USB v2.0
done
usbus0: 480Mbps High Speed USB v2.0
usbus2: 12Mbps Full Speed USB v1.0
usbus4: 12Mbps Full Speed USB v1.0
Trying to mount root from ufs:/dev/ufs/arm64rootfs [rw]...
usbus3: 480Mbps High Speed USB v2.0
Root mount waiting for:CPU  0: ARM Cortex-A53 r0p4 affinity:  0
 usbus0                   Cache Type = <64 byte D-cacheline,64 byte I-cacheline,VIPT ICache,64 byte ERG,64 byte CWG>
 usbus1 usbus2 usbus3 usbus4 Instruction Set Attributes 0 = <CRC32,SHA2,SHA1,AES+PMULL>
 CAM
 Instruction Set Attributes 1 = <>
         Processor Features 0 = <AdvSIMD,FP,EL3 32,EL2 32,EL1 32,EL0 32>
         Processor Features 1 = <>
      Memory Model Features 0 = <TGran4,TGran64,SNSMem,BigEnd,16bit ASID,1TB PA>
      Memory Model Features 1 = <8bit VMID>
      Memory Model Features 2 = <32bit CCIDX,48bit VA>
             Debug Features 0 = <2 CTX BKPTs,4 Watchpoints,6 Breakpoints,PMUv3,Debugv8>
             Debug Features 1 = <>
         Auxiliary Features 0 = <>
         Auxiliary Features 1 = <>
CPU  1: ARM Cortex-A53 r0p4 affinity:  1
CPU  2: ARM Cortex-A53 r0p4 affinity:  2
CPU  3: ARM Cortex-A53 r0p4 affinity:  3
ugen2.1: <Generic OHCI root HUB> at usbus2
ugen0.1: <Mentor Graphics OTG Root HUB> at usbus0
ugen1.1: <Generic EHCI root HUB> at usbus1
ugen3.1: <Generic EHCI root HUB> at usbus3
uhub0 on usbus2
uhub1 on usbus3
uhub0: <Generic OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
uhub1: <Generic EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus3
uhub2 on usbus0
uhub2: <Mentor Graphics OTG Root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus0
uhub3 on usbus1
uhub3: <Generic EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
ugen4.1: <Generic OHCI root HUB> at usbus4
uhub4 on usbus4
uhub4: <Generic OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus4
uhub0: 1 port with 1 removable, self powered
uhub4: 1 port with 1 removable, self powered
uhub2: 1 port with 1 removable, self powered
mmc0: <MMC/SD bus> on aw_mmc1
mmc0: No compatible cards found on bus
aw_mmc1: Spurious interrupt - no active request, rint: 0x00000004

mmc1: <MMC/SD bus> on aw_mmc0
mmcsd0: 64GB <SDHC SH64G 8.0 SN 418D4696 MFG 11/2020 by 3 SD> at mmc1 50.0MHz/4bit/32768-block
mmc1: Failed to set VCCQ for card at relative address 43690
uhub1: 1 port with 1 removable, self powered
uhub3: 1 port with 1 removable, self powered
mountroot: waiting for device /dev/ufs/arm64rootfs...
Warning: bad time from time-of-day clock, system time will not be set accurately
Setting hostuuid: 30383238-3030-3130-6638-353862396631.
Setting hostid: 0x2aaa18ac.
Starting file system checks:
/dev/ufs/arm64rootfs: FILE SYSTEM CLEAN; SKIPPING CHECKS
/dev/ufs/arm64rootfs: clean, 184200 free (328 frags, 22984 blocks, 0.1% fragmentation)
Mounting local filesystems:.
random: randomdev_wait_until_seeded unblock wait
random: unblocking device.
ELF ldconfig path: /lib /usr/lib /usr/lib/compat
Building /boot/kernel/linker.hints
Setting hostname: freebsd-zero-plus.
Setting up harvesting: [UMA],[FS_ATIME],SWI,INTERRUPT,NET_NG,[NET_ETHER],NET_TUN,MOUSE,KEYBOARD,ATTACH,CACHED
Feeding entropy: .
Autoloading module: aw_spi.ko
aw_spi0: <Allwinner SPI> mem 0x1c68000-0x1c68fff irq 28 on simplebus0
spibus0: <OFW SPI bus> on aw_spi0
spibus0: <unknown card> at cs 0 mode 0
lo0: link state changed to UP
awg0: link state changed to DOWN
Starting Network: lo0 awg0.
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=680003<RXCSUM,TXCSUM,LINKSTATE,RXCSUM_IPV6,TXCSUM_IPV6>
	inet6 ::1 prefixlen 128
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x2
	inet 127.0.0.1 netmask 0xff000000
	groups: lo
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
awg0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8000b<RXCSUM,TXCSUM,VLAN_MTU,LINKSTATE>
	ether 02:82:0e:07:1e:64
	media: Ethernet autoselect (none)
	status: no carrier
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
Starting devd.
Autoloading module: aw_spi.ko
awg0: link state changed to UP
Starting dhclient.
DHCPDISCOVER on awg0 to 255.255.255.255 port 67 interval 3
DHCPDISCOVER on awg0 to 255.255.255.255 port 67 interval 7
ip length 365 disagrees with bytes received 369.
accepting packet with data after udp payload.
DHCPOFFER from 192.168.0.1
DHCPREQUEST on awg0 to 255.255.255.255 port 67
ip length 384 disagrees with bytes received 388.
accepting packet with data after udp payload.
DHCPACK from 192.168.0.1
bound to 192.168.0.171 -- renewal in 43200 seconds.
add host 127.0.0.1: gateway lo0 fib 0: route already in table
add host ::1: gateway lo0 fib 0: route already in table
add net fe80::: gateway ::1
add net ff02::: gateway ::1
add net ::ffff:0.0.0.0: gateway ::1
add net ::0.0.0.0: gateway ::1
Clearing /tmp (X related).
Creating and/or trimming log files.
Updating motd:.
Updating /var/run/os-release done.
Starting syslogd.
Setting date via ntp.
 8 Mar 21:29:48 ntpdate[837]: step time server 212.92.16.193 offset +2804.145498 sec
Mounting late filesystems:.
Security policy loaded: MAC/ntpd (mac_ntpd)
Starting ntpd.
Generating RSA host key.
2048 SHA256:ASXGDtMqSI/eox45MpVkPsnt9gMHMWksPm+oNBzX0pg root@freebsd-zero-plus (RSA)
Generating ECDSA host key.
256 SHA256:TrFQb7iOhBCpEkl4So6AkMANafXFSHa1bEUMVpg3Hok root@freebsd-zero-plus (ECDSA)
Generating ED25519 host key.
256 SHA256:KCDUi12VdRZswP+l4zIM9/sexAqdh+tqk8wrLTV9IRE root@freebsd-zero-plus (ED25519)
Performing sanity check on sshd configuration.
Starting sshd.
Starting cron.
Starting background file system checks in 60 seconds.

Mon Mar  8 21:29:50 UTC 2021


FreeBSD/arm64 (freebsd-zero-plus) (ttyu0)



login: root
Password:
Mar  8 21:30:17 freebsd-zero-plus login[958]: ROOT LOGIN (root) ON ttyu0

FreeBSD 13.0-RC1 (GENERIC) #0 releng/13.0-n244639-60e8939aa85: Fri Mar  5 04:39:17 UTC 2021

Welcome to FreeBSD!

Release Notes, Errata: https://www.FreeBSD.org/releases/
Security Advisories:   https://www.FreeBSD.org/security/
FreeBSD Handbook:      https://www.FreeBSD.org/handbook/
FreeBSD FAQ:           https://www.FreeBSD.org/faq/
Questions List: https://lists.FreeBSD.org/mailman/listinfo/freebsd-questions/
FreeBSD Forums:        https://forums.FreeBSD.org/

Documents installed with the system are in the /usr/local/share/doc/freebsd/
directory, or can be installed later with:  pkg install en-freebsd-doc
For other languages, replace "en" with a language code like de or fr.

Show the version of FreeBSD installed:  freebsd-version ; uname -a
Please include that output and any error messages when posting questions.
Introduction to manual pages:  man man
FreeBSD directory layout:      man hier

To change this login announcement, see motd(5).
root@freebsd-zero-plus:~ # uname -a

FreeBSD freebsd-zero-plus 13.0-RC1 FreeBSD 13.0-RC1 #0 releng/13.0-n244639-60e8939aa85: Fri Mar  5 04:39:17 UTC 2021     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/arm64.aarch64/sys/GENERIC  arm64
root@freebsd-zero-plus:~ #